%define upstream_name HTTP_WebDAV_Server
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.0RC6
Release:     	%mkrel 1
Summary:    	WebDAV Server Baseclass
License: 	New BSD License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/HTTP_WebDAV_Server-%{version}.tgz
URL: 		http://pear.php.net/package/HTTP_WebDAV_Server
BuildRequires: 	php-pear >= 1.4.7
BuildArch: 	noarch

%description
RFC2518 compliant helper class for WebDAV server implementation.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/HTTP_WebDAV_Server.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/HTTP_WebDAV_Server.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/HTTP_WebDAV_Server
fi

%files
%defattr(-,root,root)
%doc docs/HTTP_WebDAV_Server/*
%{peardir}/*
%{xmldir}/HTTP_WebDAV_Server.xml


%changelog

* Mon Jan 23 2012 spuhler <spuhler> 1.0.0RC6-1.mga2
+ Revision: 200042
- upgrade to 1.0.0RC6
  pearized spec file

* Mon Jan 17 2011 spuhler <spuhler> 0.99.1-13.mga1
+ Revision: 20890
- removed buildroot definition from .spec
  commented the if mdkversion lines
- imported package php-pear-HTTP_WebDAV_Server

